Bug 179617 - fontconfig breaks remote apps with local DISPLAY
fontconfig breaks remote apps with local DISPLAY
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
Depends On:
  Show dependency treegraph
Reported: 2006-02-01 13:04 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-04 00:10:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2006-02-01 13:04:03 EST
Description of problem:
Latest fontconfig on local system breaks thunderbird (also mozilla) running on a
remote system with DISPLAY remoted to the local system.

In my test, the local system is x86_64 and the remote system is i686, just in
case this is relevant.

Reverting to fontconfig-2.3.93.cvs20060124-1 on the local system (with the
display) fixes the problem.  No need to revert fontconfig on the remote system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.ssh -Y remotesystem 
2.thunderbird                 <<< this is on the remote system
Actual results:
1. thunderbird dies silently after abou 1minute, no display opened
2. mozilla, in the same test, dies with a SEGV

Expected results:
Window from remote app should open on the local system

Additional info:
Comment 1 John Ellson 2006-02-01 13:13:37 EST
I can't reproduce the problem between two i686 boxes, so I think it is specific
to x86_64 on the local system (with the display).
Comment 2 John Ellson 2006-02-01 13:27:07 EST
I re upgraded the fontconfig on the x86_64 and now I can't reproduce the problem.

I had also removed $HOME/.fonts.cache-2 at both ends and rerun fc-cache as root.

Sorry, the problem has gone...
Comment 3 Matthias Clasen 2006-02-04 00:10:28 EST
Hard to see how fontconfig on a local system can affect remote X clients anyway.

Note You need to log in before you can comment on or make changes to this bug.